routes/web.php
<?php

use App\Http\Controllers\GalleryController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect()->route('galleries.index');
});

Route::resource('/galleries','GalleryController');
Route::get('/deleteimage/{id}','GalleryController@del')->name('deleteimage');

Route::resource('/type','ImagetypeController');
Route::get('/deletetype/{id}','ImagetypeController@del')->name('deletetype');

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/image.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class image extends Model
{
    protected $table = "gallery";
    public $timestamps = false;
    //created_at timestramp
    //updated_at timestramp
}

app/imagetype.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class imagetype extends Model
{
    protected $table = "imagetype";
    public $timestamps = false;
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/GalleryController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\image;
use Illuminate\Support\Str;
use Illuminate\Support\Facades\Storage;

class GalleryController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $image = image::orderBy('id','asc')->get();
        return view('gallery.welcome',[
            'image'=> $image
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('gallery.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $store = new image();
        $store->caption = $request->caption;
        $store->upload_date = now();
        $store->update_date = now();

        if($request->hasFile('image')) {
            $newfilename = Str::random(10) . '.' . $request->image->extension();
            $request->image->storeAs('image',$newfilename,'public');
            $store->image = $newfilename;
        }
        $store->save();
        return redirect('/');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $image = image::where('id',$id)->get();
        return view('gallery.edit',[
            'image'=> $image
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $update = image::find($id);

        $update->update_date = now();
        $update->caption = $request->caption;
        $update->save();

        return redirect('/');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }


    public function del($id)
    {
        image::find($id)->delete();
        return response([]);

    }
}

app/Http/Controllers/ImagetypeController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\imagetype;
class ImagetypeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $imagetype = imagetype::orderBy('id','asc')->get();
        return view('gallery.imagetype',[
            'imagetype'=> $imagetype
        ]);

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('gallery.addtype');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
            $store = new imagetype();
            $store->type = $request->type;
            $store->save();

            return redirect('')->route('');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $imagetype = imagetype::where('id',$id)->get();
        return view('gallery.edittype',[
            'imagetype'=> $imagetype
        ]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $update = imagetype::find($id);

        $update->type = $request->typename;
        $update->save();

        return redirect('/type');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }

    public function del($id)
    {
        imagetype::find($id)->delete();
        return response([]);

    }
}

resources/views/gallery/addtype.blade.php
@extends('layout.layout')
@section('contents')

<div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">เพิ่มประเภทรูปภาพ</h6>
      <a href="{{url('/type')}}" class="btn btn-danger btn-icon-split" >
        <span class="text">ย้อนกลับ</span>
      </a>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <form method="POST" action="{{route('type.store')}}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
              <label for="exampleInputEmail1">ประเภทรูปภาพ</label>
              <input type="text" class="form-control" id="type" name="type" placeholder="ชื่อประเภท">
            </div>
            <button type="submit" class="btn btn-success">เพิ่ม</button>
          </form>
    </div>
  </div>
</div>
@endsection

resources/views/gallery/create.blade.php
@extends('layout.layout')
@section('contents')

<div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">เพิ่มรูปภาพ</h6>
      <a href="{{url('/')}}" class="btn btn-danger btn-icon-split" >
        <span class="text">ย้อนกลับ</span>
      </a>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <form method="POST" action="{{route('galleries.store')}}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
              <label for="exampleInputEmail1">Images</label>
              <input type="file" class="form-control" id="image" name="image" placeholder="File Image">
            </div>
            <div class="form-group">
              <label for="exampleInputPassword1">Caption</label>
              <input type="text" class="form-control" id="caption" name="caption" placeholder="Caption">
            </div>
            <button type="submit" class="btn btn-success">เพิ่ม</button>
          </form>
    </div>
  </div>
</div>
@endsection

resources/views/gallery/edit.blade.php
@extends('layout.layout')
@section('contents')

<div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">แก้ไขรูปภาพ</h6>
      <a href="{{url('/')}}" class="btn btn-danger btn-icon-split" >
        <span class="text">ย้อนกลับ</span>
      </a>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <form method="post" action="{{route('galleries.update',['gallery'=> $image[0]->id])}}" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="form-group">
              <label for="exampleInputEmail1">Images</label>
              <img src="{{env('APP_PUBLIC')}}storage/image/{{$image[0]->image}}" width="200px">
            </div>
            <div class="form-group">
              <label for="exampleInputPassword1">Caption</label>
              <input type="text" class="form-control" id="caption" name="caption" placeholder="Caption" value="{{$image[0]->caption}}">
            </div>
            <button type="submit" class="btn btn-success">บันทึก</button>
          </form>
    </div>
  </div>
</div>
@endsection

resources/views/gallery/edittype.blade.php
@extends('layout.layout')
@section('contents')

<div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">แก้ไขประเภทรูปภาพ</h6>
      <a href="{{url('/type')}}" class="btn btn-danger btn-icon-split" >
        <span class="text">ย้อนกลับ</span>
      </a>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <form method="post" action="{{route('type.update',['type'=> $imagetype[0]->id])}}" enctype="multipart/form-data">
            @csrf
            @method('PUT')
            <div class="form-group">
              <label for="exampleInputPassword1">Caption</label>
              <input type="text" class="form-control" id="typename" name="typename"  value="{{$imagetype[0]->type}}">
            </div>
            <button type="submit" class="btn btn-success">บันทึก</button>
          </form>
    </div>
  </div>
</div>
@endsection

resources/views/gallery/imagetype.blade.php
@extends('layout.layout')
@section('contents')


<h1 class="h3 mb-2 text-gray-800">ประเภทรูปภาพ</h1>
          <p class="mb-4">ประเภทรูปภาพทั้งหมด
          <!-- DataTales Example -->
          <div class="card shadow mb-4">
            <div class="card-header py-3">
              <h6 class="m-0 font-weight-bold text-primary">รายการประเภทรูปภาพ</h6>
              <a href="{{route('type.create')}}" class="btn btn-primary btn-icon-split" >
                <span class="text">เพิ่มประเภทรูปภาพ</span>
              </a>
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th>ลำดับ</th>
                      <th>ประเภท</th>
                      <th>Edit</th>
                    </tr>
                  </thead>
                  <tbody>
                    <?php
                    $count=0;
                    ?>
                    @foreach ($imagetype as $imagetypes)
                    <tr>
                      <td>{{$count+=1}}</td>
                      <td>{{$imagetypes->type}}</td>
                      <td> <a href="{{url('type/'.$imagetypes->id.'/edit')}}"  class="btn btn-warning btn-icon-split">
                        <span class="text">แก้ไข</span>
                      </a>
                      <button class="btn btn-danger btn-icon-split bt-del" data-id="{{$imagetypes->id}}">
                        <span class="text">ลบ</span>
                      </button></td>
                    </tr>
                    @endforeach
                </tbody>
              </table>
            </div>
          </div>
        </div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
        <script>

            let bt_del = $('.bt-del')
            bt_del.click(function(){
                $.ajax({
                    type:'get',
                    url: "{{ url('/deletetype/') }}"+"/"+$(this).attr("data-id"),
                    data:'_token = <?php echo csrf_token() ?>',
                    success:function(data) {
                        location.reload();
                    }
                });
            })

        </script>

@endsection

resources/views/layout/layout.blade.php
<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>SB Admin 2 - Blank</title>

  <!-- Custom fonts for this template-->
  <link href="{{env('APP_PUBLIC')}}fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="{{ env('APP_PUBLIC') }}/css/sb-admin-2.min.css" rel="stylesheet">

  <script src="https://use.fontawesome.com/1b4867d1f9.js"></script>
</head>

<body id="page-top">

  <!-- Page Wrapper -->
  <div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

      <!-- Sidebar - Brand -->
      <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
        <div class="sidebar-brand-icon rotate-n-15">
            <i class="fa fa-camera" aria-hidden="true"></i>
        </div>
        <div class="sidebar-brand-text mx-3"style="font-size:13px">MithBoung<sup>photo</sup></div>
      </a>

      <!-- Divider -->
      <hr class="sidebar-divider my-0">

      <!-- Divider -->
      <hr class="sidebar-divider">

      <!-- Heading -->
      <div class="sidebar-heading">
        Interface
      </div>


      <!-- Nav Item - Charts -->
      <li class="nav-item">
        <a class="nav-link" href="{{url('/')}}">
            <i class="fa fa-picture-o" style="font-size:20px" aria-hidden="true"></i>
          <span>รูปภาพ</span></a>
      </li>

      <!-- Nav Item - Tables -->
      <li class="nav-item">
        <a class="nav-link" href="{{url('/type')}}">
            <i class="fa fa-folder-o" style="font-size:20px" aria-hidden="true"></i>
          <span>ประเภทรูป</span></a>
      </li>

      <!-- Divider -->
      <hr class="sidebar-divider d-none d-md-block">

      <!-- Sidebar Toggler (Sidebar) -->
      <div class="text-center d-none d-md-inline">
        <button class="rounded-circle border-0" id="sidebarToggle"></button>
      </div>

    </ul>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

      <!-- Main Content -->
      <div id="content">

        <!-- Topbar -->
        <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

          <!-- Sidebar Toggle (Topbar) -->
          <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
            <i class="fa fa-bars"></i>
          </button>

          <!-- Topbar Search -->
          <form class="d-none d-sm-inline-block form-inline mr-auto ml-md-3 my-2 my-md-0 mw-100 navbar-search">
            <div class="input-group">
              <input type="text" class="form-control bg-light border-0 small" placeholder="Search for..." aria-label="Search" aria-describedby="basic-addon2">
              <div class="input-group-append">
                <button class="btn btn-primary" type="button">
                  <i class="fas fa-search fa-sm"></i>
                </button>
              </div>
            </div>
          </form>

          <!-- Topbar Navbar -->
          <ul class="navbar-nav ml-auto">




            <div class="topbar-divider d-none d-sm-block"></div>

            <!-- Nav Item - User Information -->
            <li class="nav-item dropdown no-arrow">
              <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span class="mr-2 d-none d-lg-inline text-gray-600 small">Mith</span>
                <img class="img-profile rounded-circle" src="https://source.unsplash.com/QAB-WJcbgJk/60x60">
              </a>
            </li>

          </ul>

        </nav>
        <!-- End of Topbar -->

        <!-- Begin Page Content -->
        <div class="container-fluid">

          <!-- Page Heading -->
          @yield('contents')

        </div>
        <!-- /.container-fluid -->

      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; Your Website 2019</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
          <a class="btn btn-primary" href="login.html">Logout</a>
        </div>
      </div>
    </div>
  </div>

  <!-- Bootstrap core JavaScript-->
  <script src="{{ env('APP_PUBLIC') }}jquery/jquery.min.js"></script>
  <script src="{{ env('APP_PUBLIC') }}bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Core plugin JavaScript-->
  <script src="{{ env('APP_PUBLIC') }}jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for all pages-->
  <script src="{{ env('APP_PUBLIC') }}js/sb-admin-2.min.js"></script>

</body>

</html>